### Function

# Camel Operation progress

#### Declaration [src]

    void
    camel_operation_progress (
      GCancellable* cancellable,
      gint percent
    )

#### Description [src]

Report progress on the current operation. `percent` reports the current percentage of completion, which should be in the range of 0 to 100.

This function only works if `cancellable` is a `CamelOperation` cast as a `GCancellable`. If `cancellable` is a plain `GCancellable` or `NULL`, the function does nothing and returns silently.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`percent`

  Type: `gint`

  Percent complete, 0 to 100.